using System;
using System.Collections;
using System.Threading;
using ThreadLibrary;

namespace ThreadStarten
{
   public class Program
   {
      public static void Main(string[] args)
      {
         ArrayList info = new ArrayList();
         info.Add("Shinja");
         
         FileIO fio = new FileIO();

         for (int i = 0; i < 50; i++)
         {
            ThreadPool.QueueUserWorkItem(new WaitCallback(fio.WriteToFile), info);
         }
         
         Console.ReadLine();
      }
   }
}
